class ImageStyleFlushForm

Same name and namespace in other branches
  1. 11.x core/modules/image/src/Form/ImageStyleFlushForm.php \Drupal\image\Form\ImageStyleFlushForm
  2. 10 core/modules/image/src/Form/ImageStyleFlushForm.php \Drupal\image\Form\ImageStyleFlushForm
  3. 9 core/modules/image/src/Form/ImageStyleFlushForm.php \Drupal\image\Form\ImageStyleFlushForm
  4. 8.9.x core/modules/image/src/Form/ImageStyleFlushForm.php \Drupal\image\Form\ImageStyleFlushForm

Form controller for image style flush.

@internal

Hierarchy

Expanded class hierarchy of ImageStyleFlushForm

1 file declares its use of ImageStyleFlushForm
ImageStyle.php in core/modules/image/src/Entity/ImageStyle.php

File

core/modules/image/src/Form/ImageStyleFlushForm.php, line 13

Namespace

Drupal\image\Form
View source
class ImageStyleFlushForm extends EntityConfirmFormBase {
  
  /**
   * {@inheritdoc}
   */
  public function getQuestion() {
    return $this->t('Are you sure you want to apply the updated %name image effect to all images?', [
      '%name' => $this->entity
        ->label(),
    ]);
  }
  
  /**
   * {@inheritdoc}
   */
  public function getDescription() {
    return $this->t('This operation does not change the original images but the copies created for this style will be recreated.');
  }
  
  /**
   * {@inheritdoc}
   */
  public function getConfirmText() {
    return $this->t('Flush');
  }
  
  /**
   * {@inheritdoc}
   */
  public function getCancelUrl() {
    return $this->entity
      ->toUrl('collection');
  }
  
  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    $this->entity
      ->flush();
    $this->messenger()
      ->addStatus($this->t('The image style %name has been flushed.', [
      '%name' => $this->entity
        ->label(),
    ]));
    $form_state->setRedirectUrl($this->getCancelUrl());
  }

}

Members

Title Sort descending Modifiers Object type Summary Overriden Title Overrides
DependencySerializationTrait::$_entityStorages protected property An array of entity type IDs keyed by the property name of their storages.
DependencySerializationTrait::$_serviceIds protected property An array of service IDs keyed by property name used for serialization.
DependencySerializationTrait::__sleep public function 2
DependencySerializationTrait::__wakeup public function 2
EntityConfirmFormBase::actions protected function Overrides EntityForm::actions 1
EntityConfirmFormBase::buildForm public function Overrides EntityForm::buildForm 4
EntityConfirmFormBase::delete public function The delete() method is not used in EntityConfirmFormBase. This overrides
the default implementation that redirects to the delete-form confirmation
form.
EntityConfirmFormBase::getBaseFormId public function Overrides EntityForm::getBaseFormId
EntityConfirmFormBase::getCancelText public function Overrides ConfirmFormInterface::getCancelText
EntityConfirmFormBase::getFormName public function Overrides ConfirmFormInterface::getFormName
EntityConfirmFormBase::save public function The save() method is not used in EntityConfirmFormBase. This overrides the
default implementation that saves the entity.
Overrides EntityForm::save
EntityForm::$entity protected property The entity being used by this form. 10
EntityForm::$entityTypeManager protected property The entity type manager. 3
EntityForm::$moduleHandler protected property The module handler service. 3
EntityForm::$operation protected property The name of the current operation.
EntityForm::actionsElement protected function Returns the action form element for the current entity form.
EntityForm::afterBuild public function Form element #after_build callback: Updates the entity with submitted data. 1
EntityForm::buildEntity public function Overrides EntityFormInterface::buildEntity 5
EntityForm::copyFormValuesToEntity protected function Copies top-level form values to entity properties. 12
EntityForm::form public function Gets the actual form array to be built. 35
EntityForm::getCallableFromDefinition protected function Gets a callable from a string or array definition if possible.
EntityForm::getEntity public function Overrides EntityFormInterface::getEntity
EntityForm::getEntityFromRouteMatch public function Overrides EntityFormInterface::getEntityFromRouteMatch 3
EntityForm::getFormId public function Overrides FormInterface::getFormId 14
EntityForm::getOperation public function Overrides EntityFormInterface::getOperation
EntityForm::init protected function Initialize the form state and the entity before the first form build. 3
EntityForm::prepareEntity protected function Prepares the entity object before the form is built first. 3
EntityForm::prepareInvokeAll protected function Invokes the specified prepare hook variant.
EntityForm::processForm public function Process callback: assigns weights and hides extra fields.
EntityForm::setEntity public function Overrides EntityFormInterface::setEntity
EntityForm::setEntityTypeManager public function Overrides EntityFormInterface::setEntityTypeManager
EntityForm::setModuleHandler public function Overrides EntityFormInterface::setModuleHandler
EntityForm::setOperation public function Overrides EntityFormInterface::setOperation
FormBase::$configFactory protected property The config factory. 2
FormBase::$requestStack protected property The request stack. 1
FormBase::$routeMatch protected property The route match.
FormBase::config protected function Retrieves a configuration object.
FormBase::configFactory protected function Gets the config factory for this form. 2
FormBase::container private function Returns the service container.
FormBase::currentUser protected function Gets the current user. 2
FormBase::getRequest protected function Gets the request object. Overrides HtmxRequestInfoTrait::getRequest
FormBase::getRouteMatch protected function Gets the route match.
FormBase::logger protected function Gets the logger for a specific channel.
FormBase::redirect protected function Returns a redirect response object for the specified route.
FormBase::resetConfigFactory public function Resets the configuration factory.
FormBase::setConfigFactory public function Sets the config factory for this form.
FormBase::setRequestStack public function Sets the request stack object to use.
FormBase::validateForm public function Overrides FormInterface::validateForm 54
HtmxRequestInfoTrait::getHtmxCurrentUrl protected function Retrieves the URL of the requesting page from an HTMX request header.
HtmxRequestInfoTrait::getHtmxPrompt protected function Retrieves the prompt from an HTMX request header.
HtmxRequestInfoTrait::getHtmxTarget protected function Retrieves the target identifier from an HTMX request header.
HtmxRequestInfoTrait::getHtmxTrigger protected function Retrieves the trigger identifier from an HTMX request header.
HtmxRequestInfoTrait::getHtmxTriggerName protected function Retrieves the trigger name from an HTMX request header.
HtmxRequestInfoTrait::isHtmxBoosted protected function Determines if the request is boosted by HTMX.
HtmxRequestInfoTrait::isHtmxHistoryRestoration protected function Determines if if the request is for history restoration.
HtmxRequestInfoTrait::isHtmxRequest protected function Determines if the request is sent by HTMX.
ImageStyleFlushForm::getCancelUrl public function Overrides ConfirmFormInterface::getCancelUrl
ImageStyleFlushForm::getConfirmText public function Overrides EntityConfirmFormBase::getConfirmText
ImageStyleFlushForm::getDescription public function Overrides EntityConfirmFormBase::getDescription
ImageStyleFlushForm::getQuestion public function Overrides ConfirmFormInterface::getQuestion
ImageStyleFlushForm::submitForm public function Overrides EntityForm::submitForm
LoggerChannelTrait::$loggerFactory protected property The logger channel factory service.
LoggerChannelTrait::getLogger protected function Gets the logger for a specific channel.
LoggerChannelTrait::setLoggerFactory public function Injects the logger channel factory.
MessengerTrait::$messenger protected property The messenger. 25
MessengerTrait::messenger public function Gets the messenger. 25
MessengerTrait::setMessenger public function Sets the messenger.
RedirectDestinationTrait::$redirectDestination protected property The redirect destination service. 2
RedirectDestinationTrait::getDestinationArray protected function Prepares a 'destination' URL query parameter for use with \Drupal\Core\Url.
RedirectDestinationTrait::getRedirectDestination protected function Returns the redirect destination service.
RedirectDestinationTrait::setRedirectDestination public function Sets the redirect destination service.
StringTranslationTrait::$stringTranslation protected property The string translation service. 3
StringTranslationTrait::formatPlural protected function Formats a string containing a count of items.
StringTranslationTrait::getNumberOfPlurals protected function Returns the number of plurals supported by a given language.
StringTranslationTrait::getStringTranslation protected function Gets the string translation service.
StringTranslationTrait::setStringTranslation public function Sets the string translation service to use. 2
StringTranslationTrait::t protected function Translates a string to the current language or to a given language. 1

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.